# 18. Módosítás: zip archívum generálása „ZonesMap”-pel és „Field”-del

Hozzon létre egy zip archívumot a kiválasztott "ZonesMap" és a "Field" határvonalával.

A GraphQL lekérdezés végrehajtása után a felhasználók zip archívumot kaphatnak a `archiveUrl` tulajdonságból és exportált tartalommal `tömörítve` és `figyelmen kívül hagyva` sorok.

{% hint style="info" %}
Az archívum \*.shp, \*.shx, \*.prj, \*.dbf fájlokból áll.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` a hivatkozás csak elérhető **60 mp**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      fieldUuid: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    zippedFieldBoundaries {
      uuid
      fieldUuid
      status
    }
    ignoredFieldBoundaries {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/18.-modositas-zip-archivum-generalasa-zonesmap-pel-es-field-del.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
